### Method

# Aravis Camera set_access_check_policy

since: 0.8.22

#### Declaration [src]

    void
    arv_camera_set_access_check_policy (
      ArvCamera* camera,
      ArvAccessCheckPolicy policy
    )

#### Description [src]

Sets the feature access check policy. When enabled, before being accessed, the actual read/write access of register is checked using AccessMode properties. On some devices, it helps to avoid forbidden writes to registers that may put the device in a bad state.

<warning><para>Access check is disabled by default.</para></warning>.

Available since: 0.8.22

#### Parameters

`policy`

  Type: `ArvAccessCheckPolicy`

  Access check policy.